Subject: bug#53712: Guix System hangs after boot with linux-libre 5.15.17

From: Leo Famulari <[email-masked]>
Date: Tue, 1 Feb 2022 16:58:41 -0500

On Tue, Feb 01, 2022 at 04:11:27PM -0500, Maxim Cournoyer wrote:
> Not sure if that helps, but my system is running smoothly on 5.15.18 as
> I write this.  What are the specifics of your system?

Interestingly, for me 5.15.18 does boot to an interactive console, but
the system fails to bring up the wifi interface, and then it fails to
halt upon command, just hanging forever. At least, it did that for the 3
times I tried using that generation.

This is a Thinkpad x200s with 3 GB RAM. Normal BIOS. I've attached the
operating-system declaration.

There are similar reports on #guix IRC from two other users:

http://logs.guix.gnu.org/guix/2022-01-31.log#152606
http://logs.guix.gnu.org/guix/2022-01-30.log#005034